#
# spec file for package vdr-plugin-cutalot (Version 0.0.3)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define pluginversion 0.0.3
%define pluginname cutalot
%define pluginurl http://www.vdr-wiki.de/wiki/index.php/Cutalot-plugin
#
%define plugindir %pluginname-%pluginversion
%define plugintarball vdr-%pluginname-%pluginversion.tgz
#
%define pkgversion %pluginversion

Name:           vdr-plugin-cutalot
Version:        %pkgversion
Release:        25.1
Source:         %plugintarball
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        VDR %pluginname plugin
License:        GPL-2.0+
Group:          Hardware/TV
BuildRequires:  gcc-c++ vdr-devel
PreReq:         vdr(abi) = %{vdr_apiversion}
Url:            %pluginurl
Patch0:         vdr-cutalot-0.0.2a-vdr15.diff
# only needed for packages that used the old naming scheme
Obsoletes:      vdr-%pluginname < %pkgversion
# used to be in vdr-plugins
Provides:       vdr-plugins:/usr/share/doc/packages/vdr/plugins/%{pluginname}
Conflicts:      vdr-plugins <= 0.5

%description

%vdrname %pluginname plugin
%prep 
%setup -q -n %plugindir
%patch0 -p1

%build
%vdr_make

%install
%vdr_install_plugin %pluginname
%vdr_install_plugin_locale
#
#find_lang %name
# no translations
> vdr-%pluginname.lang

%clean
rm -rf "${RPM_BUILD_ROOT}"

%files -f vdr-%pluginname.lang
%defattr(-,root,root)
%doc COPYING HISTORY README README.de TODO
%{vdr_libdir}/*

%changelog
* Thu May 20 2010 lnussel@suse.de
- change group to Hardware/TV
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Thu Jun  4 2009 lnussel@suse.de
- split vdr-plugin-cutalot off vdr-plugins
